require 'spec_helper'

describe "AssistanceBusiness", "#feature"  do
  
  it "can receive salvation" do
    data = <<-EOF
<?xml version="1.0" encoding="utf-8"?>
<Request>
  <Head>
    <TRAN_CODE>String</TRAN_CODE>
    <BANK_CODE>String</BANK_CODE>
    <BRNO>String</BRNO>
    <TELLERNO>String</TELLERNO>
    <BK_ACCT_DATE>String</BK_ACCT_DATE>
    <BK_ACCT_TIME>String</BK_ACCT_TIME>
    <BK_SERIAL>String</BK_SERIAL>
    <BK_ORGN_SRIL>String</BK_ORGN_SRIL>
    <BK_TRAN_CHNL>String</BK_TRAN_CHNL>
    <REGION_CODE>String</REGION_CODE>
  </Head>
  <Body>
    <Apply>
      <SALVATION_ID>String</SALVATION_ID>
      <REPORT_NAME>String</REPORT_NAME>
      <REPORT_TELEPHONE>String</REPORT_TELEPHONE>
      <SALVATION_OBJECT>String</SALVATION_OBJECT>
      <CAR_MARK>String</CAR_MARK>
      <CAR_TYPE>String</CAR_TYPE>
      <SALVATION_TYPE>String</SALVATION_TYPE>
      <DEP_CODE>String</DEP_CODE>
      <DAMAGE_TIME>String</DAMAGE_TIME>
      <DAMAGE_PLACE>String</DAMAGE_PLACE>
      <INSURED_NAME>String</INSURED_NAME>
      <SUPPLEMENT_INFO>String</SUPPLEMENT_INFO>
      <OPERATOR_ID>String</OPERATOR_ID>
      <CALLERNO>String</CALLERNO>
      <SALVATION_FEE_TYPE>String</SALVATION_FEE_TYPE>
      <OBLIGATE_FIELD>String</OBLIGATE_FIELD>
      <GPS_X>String</GPS_X>
      <GPS_Y>String</GPS_Y>
      <SALVATION_FACTORY_ID>String</SALVATION_FACTORY_ID>
      <DATA_SOURCE>String</DATA_SOURCE>
    </Apply>
  </Body>
</Request>
    EOF
    back = PinganApi::AssistanceBusiness.new.receive_salvation(data)

    back.should_not be_nil
  end

  it "salvation call should back" do
    data = PinganApi::Models::Assistance::SalvationReceiveResponse.new
    data.pa_acct_datetime = Time.now
    data.result_time = Time.now
    back = PinganApi::AssistanceBusiness.new.receive_salvation_response(data)

    back.should_not be_empty
  end

  it "can send operation" do
    data =  PinganApi::Models::Assistance::OperationSendRequest.new
    data.bk_acct_datetime = Time.now
    back = PinganApi::AssistanceBusiness.new.send_operation(data)

    back.should_not be_empty
  end

  it "can query salvation" do
    data = PinganApi::Models::Assistance::SalvationQueryRequest.new
    data.bk_acct_datetime = Time.now
    back = PinganApi::AssistanceBusiness.new.query_salvation(data)

    back.should_not be_empty
  end
  
end